## sope 5.0.1

=== debian/changelog ===
sope (5.0.1-2+deb11u1) bullseye-security; urgency=medium

  * [CVE-2025-53603] Add proposed patch to fix DoS-enabling segfault.
  * Switch debian-branch to bullseye.

 -- Jordi Mallach <jordi@debian.org>  Thu, 24 Jul 2025 07:10:49 +0200

sope (5.0.1-2) unstable; urgency=medium

  * Build against OpenSSL, now that ftpmaster considers it a system
    library. The GnuTLS codepath in SOGo is basically only used by
    Debian/Ubuntu and is a source of many grave problems in SOGo.

 -- Jordi Mallach <jordi@debian.org>  Tue, 02 Feb 2021 00:57:01 +0100

sope (5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to look for any X.Y.Z version.
  * Drop sh4 and libxml2 patches, now applied upstream.
  * Update Standards-Version to 4.5.1.
  * Move sope-bin to Section: utils.

 -- Jordi Mallach <jordi@debian.org>  Thu, 26 Nov 2020 14:49:27 +0100

sope (4.3.2-2) unstable; urgency=medium

  * No change Source-Only upload after going through NEW.

 -- Jordi Mallach <jordi@debian.org>  Fri, 31 Jul 2020 13:35:13 +0200

sope (4.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Make build use pkg-config instead of xml2-config (closes: #949499).
  * Build-Depend on pkg-config.
  * Bump debhelper compat to v13.
  * Install binaries in new binary package sope-bin.

 -- Jordi Mallach <jordi@debian.org>  Wed, 22 Jul 2020 17:21:17 +0200

=== debian/control ===
Source: sope
Section: libs
Priority: optional
Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
           Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13),
 gnustep-make,
 gobjc,
 libgnustep-base-dev,
 libxml2-dev,
 libldap2-dev,
 libpq-dev,
 libssl-dev,
 default-libmysqlclient-dev,
 pkg-config,
 zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://sogo.nu/
Vcs-Browser: https://salsa.debian.org/debian/sope
Vcs-Git: https://salsa.debian.org/debian/sope.git

Package: libsope1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SKYRiX Object Publishing Environment (shared libraries)
 An extensive set of Objective-C frameworks which form a complete Web
 application server environment. Besides the Apple WebObjects
 compatible appserver that has been extended with Zope concepts, it
 contains a large set of reusable classes: XML processing (SAX, DOM),
 MIME/IMAP4 processing, LDAP connectivity, RDBMS connectivity, and
 iCalendar parsing.
 .
 This package contains the shared libraries.

Package: libsope-dev
Section: libdevel
Architecture: any
Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgnustep-dl2-dev
Multi-Arch: same
Description: SKYRiX Object Publishing Environment (development files)
 An extensive set of Objective-C frameworks which form a complete Web
 application server environment. Besides the Apple WebObjects
 compatible appserver that has been extended with Zope concepts, it
 contains a large set of reusable classes: XML processing (SAX, DOM),
 MIME/IMAP4 processing, LDAP connectivity, RDBMS connectivity, and
 iCalendar parsing.
 .
 This package contains the development files.

Package: sope-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: SKYRiX Object Publishing Environment (binaries)
 An extensive set of Objective-C frameworks which form a complete Web
 application server environment. Besides the Apple WebObjects
 compatible appserver that has been extended with Zope concepts, it
 contains a large set of reusable classes: XML processing (SAX, DOM),
 MIME/IMAP4 processing, LDAP connectivity, RDBMS connectivity, and
 iCalendar parsing.
 .
 This package contains supporting binaries for libsope.

## sope 5.1.0

=== debian/changelog ===
sope (5.1.0-1build1) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 18:09:00 -0400

sope (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Thu, 08 Apr 2021 20:36:08 +0200

## sope 5.2.0

=== debian/changelog ===
sope (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0.
  * Add upstream metadata.

 -- Jordi Mallach <jordi@debian.org>  Wed, 22 Sep 2021 16:48:50 +0200

sope (5.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Tue, 17 Aug 2021 00:44:54 +0200

## sope 5.3.0

=== debian/changelog ===
sope (5.3.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Update mismatched libsope1 lintian overrides.
  * Update copyright years.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 26 Nov 2021 08:47:02 +0100

sope (5.2.0-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 10 Sep 2021 10:47:23 +0200

sope (5.1.1-0bit1) unstable; urgency=medium

  * New upstream release

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 05 Jul 2021 10:50:23 +0200

sope (5.1.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Install binaries in new binary package sope-bin.
  * Update watch file to look for any X.Y.Z version.
  * Build-Depend on pkg-config.
  * Bump Standards-Version to 4.5.0.
  * Using debhelper-compat B-D.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 09 Apr 2021 10:32:04 +0200

sope (5.0.1-0bit1) unstable; urgency=medium

  * New upstream release.
  * Adjust patch 0003-Unset-MAKEFLAGS-and-MFLAGS-in-configure.patch.
  * Remove patch 0004-Fix-FTBFS-on-sh4.patch, it is applied upstream.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Tue, 13 Oct 2020 20:38:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
 Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
            Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
  gnustep-make,
  gobjc,
  libgnustep-base-dev,
@@ -16,14 +16,17 @@
  pkg-config,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.5.0
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git
 
 Package: libsope1
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
+Replaces: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
 Description: SKYRiX Object Publishing Environment (shared libraries)
  An extensive set of Objective-C frameworks which form a complete Web
  application server environment. Besides the Apple WebObjects
@@ -36,9 +39,11 @@
 
 Package: libsope-dev
 Section: libdevel
+Priority: optional
 Architecture: any
 Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libgnustep-dl2-dev
+Conflicts: libgnustep-dl2-dev, libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
+Replaces: libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
 Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (development files)
  An extensive set of Objective-C frameworks which form a complete Web

=== debian/watch ===
version=4
https://packages.inverse.ca/SOGo/sources/ \
(?:.*/|.*=|)SOPE[\-\._](\d\.\d.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)? debian uupdate

## sope 5.4.0

=== debian/changelog ===
sope (5.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Fri, 17 Dec 2021 13:16:50 +0100

sope (5.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update mismatched libsope1 lintian overrides.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Fri, 19 Nov 2021 10:41:55 +0100

## sope 5.5.0

=== debian/changelog ===
sope (5.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 Jan 2022 18:09:24 +0100

## sope 5.5.1

=== debian/changelog ===
sope (5.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Fri, 04 Feb 2022 20:17:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
 Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
            Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  gnustep-make,
  gobjc,
  libgnustep-base-dev,
@@ -16,17 +16,14 @@
  pkg-config,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git
 
 Package: libsope1
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
-Replaces: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
 Description: SKYRiX Object Publishing Environment (shared libraries)
  An extensive set of Objective-C frameworks which form a complete Web
  application server environment. Besides the Apple WebObjects
@@ -39,11 +36,9 @@
 
 Package: libsope-dev
 Section: libdevel
-Priority: optional
 Architecture: any
 Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libgnustep-dl2-dev, libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
-Replaces: libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
+Conflicts: libgnustep-dl2-dev
 Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (development files)
  An extensive set of Objective-C frameworks which form a complete Web

=== debian/watch ===
version=4
https://packages.inverse.ca/SOGo/sources/ \
(?:.*/|.*=|)SOPE[\-\._](\d\.\d.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## sope 5.6.0

=== debian/changelog ===
sope (5.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 04 May 2022 23:08:47 +0200

## sope 5.7.0

=== debian/changelog ===
sope (5.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 (no changes needed).

 -- Jordi Mallach <jordi@debian.org>  Thu, 16 Jun 2022 12:13:50 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	touch config.make
	#$(MAKE) distclean
	dh_auto_clean

override_dh_auto_configure:
	./configure --disable-strip --with-gnustep --with-ssl=ssl

override_dh_auto_build:
	$(MAKE) all messages=yes OBJCFLAGS="$(CFLAGS)"

override_dh_auto_install:
	GNUSTEP_MAKEFILES=/usr/share/GNUstep/Makefiles $(MAKE) install \
		messages=yes OBJCFLAGS="$(CFLAGS)" \
		DESTDIR=$(CURDIR)/debian/tmp/ \
		GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

# This will make sure that the SOGo binary packages will always depend
# on the latest SOPE
override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_link:
	gsdh_gnustep
	dh_link

## sope 5.7.1

=== debian/changelog ===
sope (5.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 24 Aug 2022 16:50:04 +0200

## sope 5.8.0

=== debian/changelog ===
sope (5.8.0-1+deb12u1) bookworm-security; urgency=medium

  * [CVE-2025-53603] Add proposed patch to fix DoS-enabling segfault.
  * Switch debian-branch to bookworm

 -- Jordi Mallach <jordi@debian.org>  Wed, 23 Jul 2025 16:56:31 +0200

sope (5.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file with new download URL.
  * Update lintian-overrides to new syntax.
  * Add the full LGPL-2 header and update copyright attributions.

 -- Jordi Mallach <jordi@debian.org>  Thu, 01 Dec 2022 12:19:48 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  pkg-config,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git

=== debian/watch ===
version=4
https://packages.sogo.nu/sources/ \
(?:.*/|.*=|)SOPE[\-\._](\d\.\d.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## sope 5.8.2

=== debian/changelog ===
sope (5.8.2-1build1) mantic; urgency=medium

  * Rebuild against libgnustep-base1.29.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 18 Jun 2023 11:44:30 +0200

sope (5.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 May 2023 15:21:21 +0200

## sope 5.8.3

=== debian/changelog ===
sope (5.8.3-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 02 Jun 2023 10:42:15 +0200

sope (5.8.2-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 24 Apr 2023 22:59:31 +0200

sope (5.8.0-1bit1) unstable; urgency=medium

  * New upstream release.
  * Update watch file with new download URL.
  * Update lintian-overrides to new syntax.
  * Add the full LGPL-2 header and update copyright attributions.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sun, 01 Jan 2023 12:19:37 +0100

sope (5.7.1-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 03 Oct 2022 12:25:38 +0200

sope (5.7.0-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 13 Jun 2022 15:10:32 +0200

sope (5.6.0-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 16 May 2022 16:12:13 +0200

sope (5.5.1-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 05 Feb 2022 09:38:50 +0100

sope (5.5.0-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Thu, 20 Jan 2022 15:12:23 +0100

sope (5.4.0-0bit2) unstable; urgency=medium

  * New upstream release.
  * Set Maintainer to me.
  * Remove patch file 0002-Do-not-build-xmlrpc-and-stxsaxdriver.patch, it was never
    active in my releases.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 31 Dec 2021 15:25:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: sope
 Section: libs
 Priority: optional
-Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
-Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
-           Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Daniel Betschart <daniel.betschart@betschart-it.ch>
+Build-Depends: debhelper-compat (= 12),
  gnustep-make,
  gobjc,
  libgnustep-base-dev,
@@ -16,14 +14,18 @@
  pkg-config,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.3.0
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git
 
 Package: libsope1
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
+Replaces: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
+Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (shared libraries)
  An extensive set of Objective-C frameworks which form a complete Web
  application server environment. Besides the Apple WebObjects
@@ -36,9 +38,11 @@
 
 Package: libsope-dev
 Section: libdevel
+Priority: optional
 Architecture: any
 Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libgnustep-dl2-dev
+Conflicts: libgnustep-dl2-dev, libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
+Replaces: libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
 Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (development files)
  An extensive set of Objective-C frameworks which form a complete Web

=== debian/watch ===
version=4
https://packages.sogo.nu/sources/ \
(?:.*/|.*=|)SOPE[\-\._](\d\.\d.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)? debian uupdate

## sope 5.8.4

=== debian/changelog ===
sope (5.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Jun 2023 00:04:52 +0200

sope (5.8.3-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * New upstream release.
  * Update Standards-Version to 4.6.2, with no changes needed.

  [ Yavor Doganov ]
  * Fix FTBFS with gnustep-base/1.29.0. Closes: #1028579

 -- Jordi Mallach <jordi@debian.org>  Mon, 19 Jun 2023 01:07:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: sope
 Section: libs
 Priority: optional
-Maintainer: Daniel Betschart <daniel.betschart@betschart-it.ch>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
+Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
+           Jordi Mallach <jordi@debian.org>
+Build-Depends: debhelper-compat (= 13),
  gnustep-make,
  gobjc,
- libgnustep-base-dev,
+ libgnustep-base-dev (>= 1.29),
  libxml2-dev,
  libldap2-dev,
  libpq-dev,
@@ -14,18 +16,14 @@
  pkg-config,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git
 
 Package: libsope1
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
-Replaces: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
-Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (shared libraries)
  An extensive set of Objective-C frameworks which form a complete Web
  application server environment. Besides the Apple WebObjects
@@ -38,11 +36,9 @@
 
 Package: libsope-dev
 Section: libdevel
-Priority: optional
 Architecture: any
 Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libgnustep-dl2-dev, libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
-Replaces: libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
+Conflicts: libgnustep-dl2-dev
 Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (development files)
  An extensive set of Objective-C frameworks which form a complete Web

## sope 5.9.0

=== debian/changelog ===
sope (5.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 Oct 2023 00:14:09 +0200

## sope 5.9.1

=== debian/changelog ===
sope (5.9.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:47:41 +1100

sope (5.9.1-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:24:02 +0000

sope (5.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch Build-Depend on pkg-config to pkgconf.

 -- Jordi Mallach <jordi@debian.org>  Thu, 18 Jan 2024 17:42:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sope
 Section: libs
 Priority: optional
-Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
 Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
            Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -13,7 +14,7 @@
  libpq-dev,
  libssl-dev,
  default-libmysqlclient-dev,
- pkg-config,
+ pkgconf,
  zlib1g-dev
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

## sope 5.10.0

=== debian/changelog ===
sope (5.10.0-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 23 Feb 2024 10:55:49 +0100

sope (5.9.1-1bit2) unstable; urgency=medium

  * Bump debhelper version to 13.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Tue, 02 Jan 2024 14:04:56 +0100

sope (5.9.1-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 15 Dec 2023 16:51:02 +0100

sope (5.9.0-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 13 Oct 2023 15:03:54 +0200

sope (5.8.4-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 24 Jul 2023 14:49:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: sope
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
-Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
-           Jordi Mallach <jordi@debian.org>
+Maintainer: Daniel Betschart <daniel.betschart@betschart-it.ch>
 Build-Depends: debhelper-compat (= 13),
  gnustep-make,
  gobjc,
- libgnustep-base-dev (>= 1.29),
+ libgnustep-base-dev,
  libxml2-dev,
  libldap2-dev,
  libpq-dev,
  libssl-dev,
  default-libmysqlclient-dev,
- pkgconf,
+ pkg-config,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.3.0
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git
 
 Package: libsope1
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
+Replaces: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
+Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (shared libraries)
  An extensive set of Objective-C frameworks which form a complete Web
  application server environment. Besides the Apple WebObjects
@@ -37,9 +38,11 @@
 
 Package: libsope-dev
 Section: libdevel
+Priority: optional
 Architecture: any
 Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libgnustep-dl2-dev
+Conflicts: libgnustep-dl2-dev, libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
+Replaces: libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
 Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (development files)
  An extensive set of Objective-C frameworks which form a complete Web

## sope 5.11.0

=== debian/changelog ===
sope (5.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Mon, 12 Aug 2024 12:51:32 +0200

sope (5.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch to allow for double digit components of a version.
  * Update copyright years and download URL.
  * Drop GNUStep 1.29 compatibility patch, fixed upstream.

 -- Jordi Mallach <jordi@debian.org>  Sat, 23 Mar 2024 01:35:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,29 @@
 Source: sope
 Section: libs
 Priority: optional
-Maintainer: Daniel Betschart <daniel.betschart@betschart-it.ch>
+Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
+Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
+           Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
  gnustep-make,
  gobjc,
- libgnustep-base-dev,
+ libgnustep-base-dev (>= 1.29),
  libxml2-dev,
  libldap2-dev,
  libpq-dev,
  libssl-dev,
  default-libmysqlclient-dev,
- pkg-config,
+ pkgconf,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git
 
 Package: libsope1
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
-Replaces: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
-Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (shared libraries)
  An extensive set of Objective-C frameworks which form a complete Web
  application server environment. Besides the Apple WebObjects
@@ -38,11 +36,9 @@
 
 Package: libsope-dev
 Section: libdevel
-Priority: optional
 Architecture: any
 Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libgnustep-dl2-dev, libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
-Replaces: libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
+Conflicts: libgnustep-dl2-dev
 Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (development files)
  An extensive set of Objective-C frameworks which form a complete Web

## sope 5.11.1

=== debian/changelog ===
sope (5.11.1-2) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/control (Build-Depends): Require libgnustep-base-dev (>=
    1.30.0-10) for the multiarch layout. Closes: #1094178
    Remove unnecessary gobjc.
    (libsope1): Mark as Multi-Arch: same.
  * debian/libsope1.install: Update for the multiarch layout.
  * debian/libsope-dev.install: Likewise.
  * debian/rules: Include /usr/share/GNUstep/debian/config.mk to avoid
    using the build architecture Objective-C compiler.  Fixes FTCBFS.
    (override_dh_auto_build): Use dh_auto_build and pass $(optim) and
    $(verbose) to support noopt and terse in DEB_BUILD_OyPTIONS.
    (override_dh_auto_install): Remove; no longer necessary.
    Closes: #1094184.

  [ Jordi Mallach ]
  * Update Standards-Version to 4.7.0.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Fri, 31 Jan 2025 10:00:11 +0100

sope (5.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Tue, 15 Oct 2024 01:42:52 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
            Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
  gnustep-make,
- gobjc,
- libgnustep-base-dev (>= 1.29),
+ libgnustep-base-dev (>= 1.30.0-10),
  libxml2-dev,
  libldap2-dev,
  libpq-dev,
@@ -16,7 +15,7 @@
  pkgconf,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git
@@ -24,6 +23,7 @@
 Package: libsope1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (shared libraries)
  An extensive set of Objective-C frameworks which form a complete Web
  application server environment. Besides the Apple WebObjects

## sope 5.11.2

=== debian/changelog ===
sope (5.11.2-1) unstable; urgency=medium

  * New upstream release (identical to 5.11.1).
  * Add upstream patch to avoid closing sockets twice.
  * Update Standards-Version to 4.7.2 (no changes needed).

 -- Jordi Mallach <jordi@debian.org>  Fri, 14 Mar 2025 11:33:11 +0100

## sope 5.12.0

=== debian/changelog ===
sope (5.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop cherry-picked from upstream git.

 -- Jordi Mallach <jordi@debian.org>  Mon, 24 Mar 2025 14:17:23 +0100

## sope 5.12.1

=== sope-appserver/WEExtensions/doc/Makefile ===
# makefile to generate manpages from .api files

-include ../../../config.make
include ../../../Version
include ../Version

API2MAN = ../../NGObjWeb/woapi2man.py
SECTION = 3

all :: regenerate validate

APIEXT   = .api
APIFILES = ../*$(APIEXT) ../WETableView/*$(APIEXT)

regenerate ::
	@echo "generating manpages from .api files, may take a while ..."
	for apifile in $(APIFILES); do \
	  OUTFILE="`basename $$apifile | sed s/\\$(APIEXT)/.$(SECTION)/g`"; \
	  echo $$OUTFILE; \
	  $(API2MAN) $$apifile $$SECTION \
	    $(MAJOR_VERSION) $(MINOR_VERSION) $(SUBMINOR_VERSION) >$$OUTFILE; \
	done
	@echo "done."

validate ::
	@echo "validating manpages using nroff, may take a while ..."
	for i in *.$(SECTION); do \
	  nroff -mandoc  -Tascii $$i >/dev/null; \
	done
	@echo "done."

=== debian/changelog ===
sope (5.12.1-2) unstable; urgency=medium

  * [CVE-2025-53603] Add proposed patch to fix DoS-enabling segfault
    (closes: #1108798).
  * Cherry-pick two additional fixes from the 5.12.2 release.
    - allow SMTP replies that don't adhere to the SMTP spec
    - don't check for the auth bearer token

 -- Jordi Mallach <jordi@debian.org>  Tue, 22 Jul 2025 22:34:25 +0200

sope (5.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sun, 04 May 2025 23:13:11 +0200

## sope 5.12.3

=== debian/changelog ===
sope (5.12.3-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 18 Jul 2025 15:52:57 +0200

sope (5.12.1-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 05 May 2025 09:41:04 +0200

sope (5.12.0-1bit1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years and download URL.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 04 Apr 2025 15:34:30 +0200

sope (5.11.2-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 25 Oct 2024 14:17:35 +0200

sope (5.11.1-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 11 Oct 2024 11:49:37 +0200

sope (5.11.0-1bit1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years and download URL.
  * Switch Build-Depend on pkg-config to pkgconf.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 12 Aug 2024 13:11:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: sope
 Section: libs
 Priority: optional
-Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
-Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
-           Jordi Mallach <jordi@debian.org>
+Maintainer: Daniel Betschart <daniel.betschart@betschart-it.ch>
 Build-Depends: debhelper-compat (= 13),
  gnustep-make,
- libgnustep-base-dev (>= 1.30.0-10),
+ gobjc,
+ libgnustep-base-dev,
  libxml2-dev,
  libldap2-dev,
  libpq-dev,
@@ -15,14 +14,17 @@
  pkgconf,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.3.0
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git
 
 Package: libsope1
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
+Replaces: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
 Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (shared libraries)
  An extensive set of Objective-C frameworks which form a complete Web
@@ -36,9 +38,11 @@
 
 Package: libsope-dev
 Section: libdevel
+Priority: optional
 Architecture: any
 Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libgnustep-dl2-dev
+Conflicts: libgnustep-dl2-dev, libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
+Replaces: libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
 Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (development files)
  An extensive set of Objective-C frameworks which form a complete Web

## sope 5.12.4

=== sope-appserver/NGObjWeb/doc/Makefile ===
# makefile to generate manpages from .api files

-include ../../../config.make
include ../../../Version
include ../Version

API2MAN = ../woapi2man.py
SECTION = 3

all :: regenerate

regenerate ::
	for apifile in ../DynamicElements/*.api; do \
	  OUTFILE="`basename $$apifile | sed s/\\.api/.3/g`"; \
	  $(API2MAN) $$apifile $$SECTION $(MAJOR_VERSION) $(MINOR_VERSION) $(SUBMINOR_VERSION) >$$OUTFILE; \
	done

=== debian/changelog ===
sope (5.12.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix for CVE-2025-53603, included upstream.
  * Update upstream sources download URL.
  * Replace old FSF address with GNU licensing URL.

 -- Jordi Mallach <jordi@debian.org>  Sun, 19 Oct 2025 00:21:48 +0200

sope (5.12.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Tue, 23 Sep 2025 02:33:14 +0200

sope (5.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop cherry-picked patches, now part of the new release.

 -- Jordi Mallach <jordi@debian.org>  Fri, 25 Jul 2025 15:12:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: sope
 Section: libs
 Priority: optional
-Maintainer: Daniel Betschart <daniel.betschart@betschart-it.ch>
+Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
+Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
+           Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
  gnustep-make,
- gobjc,
- libgnustep-base-dev,
+ libgnustep-base-dev (>= 1.30.0-10),
  libxml2-dev,
  libldap2-dev,
  libpq-dev,
@@ -14,17 +15,14 @@
  pkgconf,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.7.2
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git
 
 Package: libsope1
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
-Replaces: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
 Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (shared libraries)
  An extensive set of Objective-C frameworks which form a complete Web
@@ -38,11 +36,9 @@
 
 Package: libsope-dev
 Section: libdevel
-Priority: optional
 Architecture: any
 Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libgnustep-dl2-dev, libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
-Replaces: libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
+Conflicts: libgnustep-dl2-dev
 Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (development files)
  An extensive set of Objective-C frameworks which form a complete Web

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
include /usr/share/dpkg/buildflags.mk
include /usr/share/GNUstep/debian/config.mk

%:
	dh $@

override_dh_auto_clean:
	touch config.make
	#$(MAKE) distclean
	dh_auto_clean

override_dh_auto_configure:
	./configure --disable-strip --with-gnustep --with-ssl=ssl

override_dh_auto_build:
	dh_auto_build -- $(optim) $(verbose) OBJCFLAGS="$(CFLAGS)"

# This will make sure that the SOGo binary packages will always depend
# on the latest SOPE
override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_link:
	gsdh_gnustep
	dh_link

=== debian/watch ===
version=4
https://packages.sogo.nu/sources/ \
(?:.*/|.*=|)SOPE[\-\._]([\d\.]+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
